/*
 * LiquidCrystal Library - Hello World
 * 
 * Demonstrates the use a 16x2 LCD display. The LiquidCrystal
 * library works with all LCD display that are compatible with the
 * Hitachi HD44870 driver. There are many of them out there, and you
 * can usually tell them by the 16-pin interface.
 * 
 * This sketch prints "Hello World!" to the LCD
 * and shows the time
 * 
 * The circuit:
 * * LCD RD pin to digital pin 12
 * * LCD Enable pin to digital pin 11
 * * LCD D4 pin to digital pin 5
 * * LCD D5 pin to digital pin 4
 * * LCD D6 pin to digital pin 3
 * * LCD D7 pin to digital pin 2
 * * LCD R/W pin to ground
 * * LCD VSS pin to ground
 * * LCD VCC pin to 5V
 * * 10K resistor:
 * * ends to +5V and ground
 * * wiper to LCD VO pin (pin 3)
 * 
 * 
 * */
 
// include the library code:
#include <LiquidCrystal.h>

// initialize the library by associating any need  LCD interface pin
// with the arduinopin number it is connected to
const int rs = 12, en = 11, d4 = 5, d5 = 4, d6 = 3, d7 = 2;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);



void setup() {
  // set up LCD's number of columns and rows:
  lcd.begin(16,2);
  // Print a message to the LCD.
  lcd.print("hello, world!");

}

void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print the number of second since reset:
  lcd.print(millis() / 1000);
  
}
